summaryrefslogtreecommitdiffstats
path: root/.scripts/dmenumount
diff options
context:
space:
mode:
Diffstat (limited to '.scripts/dmenumount')
-rwxr-xr-x.scripts/dmenumount24
1 files changed, 24 insertions, 0 deletions
diff --git a/.scripts/dmenumount b/.scripts/dmenumount
new file mode 100755
index 0000000..451bfdf
--- /dev/null
+++ b/.scripts/dmenumount
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# Should be run with sudo.
+
+# Gives a dmenu prompt to mount unmounted drives.
+# If they're in /etc/fstab, they'll be mounted automatically.
+# Otherwise, you'll be prompted to give a mountpoint from already existsing directories.
+# If you input a novel directory, it will prompt you to create that directory.
+
+pgrep -x dmenu && exit
+
+mountable=$(lsblk -lp | grep part | grep -v "t /" | awk '{print $1, "(" $4 ")"}')
+[[ "$mountable" = "" ]] && exit 1
+chosen=$(echo "$mountable" | dmenu -i -p "Mount which drive?" | awk '{print $1}')
+[[ "$chosen" = "" ]] && exit 1
+mount "$chosen" && exit 0
+dirs=$(find / -type d | grep -v denied)
+mountpoint=$(echo "$dirs" | dmenu -i -p "Type in mount point.")
+[[ "$mountpoint" = "" ]] && exit 1
+if [[ ! -d "$mountpoint" ]]; then
+ mkdiryn=$(echo -e "No\nYes" | dmenu -i -p "$mountpoint does not exist. Create it?")
+ [[ "$mkdiryn" = Yes ]] && sudo mkdir -p "$mountpoint"
+fi
+sudo mount "$chosen" "$mountpoint"